nx_server_plugin_sdk 1.0 Server Plugin SDK

Classes | Public Member Functions | List of all members
AxisRelayIOManager Class Reference

Provides access to camera's relay input/output port (implements nxcip::CameraRelayIOManager) More...

`#include <axis_relayio_manager.h>`

Inheritance diagram for AxisRelayIOManager:

## Public Member Functions
| AxisRelayIOManager (AxisCameraManager *cameraManager, unsigned int inputPortCount, unsigned int outputPortCount)
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxcip::CameraRelayIOManager::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual int | getRelayOutputList (char **idList, int *idNum) const override
| Implementation of nxcip::CameraRelayIOManager::getRelayOutputList.
virtual int | getInputPortList (char **idList, int *idNum) const override
| Implementation of nxcip::CameraRelayIOManager::getRelayOutputList.
virtual int | setRelayOutputState (const char *outputID, int activate, unsigned int autoResetTimeoutMS) override
| Implementation of nxcip::CameraRelayIOManager::getRelayOutputList.
virtual int | startInputPortMonitoring () override
| Implementation of nxcip::CameraRelayIOManager::getRelayOutputList.
virtual void | stopInputPortMonitoring () override
| Implementation of nxcip::CameraRelayIOManager::getRelayOutputList.
virtual void | registerEventHandler (nxcip::CameraInputEventHandler *handler) override
| Implementation of nxcip::CameraRelayIOManager::getRelayOutputList.
virtual void | unregisterEventHandler (nxcip::CameraInputEventHandler *handler) override
| Implementation of nxcip::CameraRelayIOManager::getRelayOutputList.
virtual void | getLastErrorString (char *errorString) const override
| Implementation of nxcip::CameraRelayIOManager::getRelayOutputList.

## Detailed Description

Provides access to camera's relay input/output port (implements nxcip::CameraRelayIOManager)

Note
  Holds reference to AxisCameraManager
  Delegates reference counting to AxisCameraManager instance (i.e., increments AxisCameraManager reference counter on initialization and decrements on destruction)

## Constructor & Destructor Documentation

## ◆ AxisRelayIOManager()

AxisRelayIOManager::AxisRelayIOManager | ( | AxisCameraManager * | cameraManager,
|  | unsigned int | inputPortCount,
|  | unsigned int | outputPortCount
| ) |  |

Note
  Works in AxisCameraPlugin::instance()->networkAccessManager() thread

The documentation for this class was generated from the following files:

- samples/device/axis_camera_plugin/src/axis_relayio_manager.h
- samples/device/axis_camera_plugin/src/axis_relayio_manager.cpp